<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://productManagementBrowse.caption"
        focusComponent="table">
    <data>
        <collection id="productManagementsDc"
                    class="com.company.management.entity.ProductManagement">
            <fetchPlan extends="_base"/>
            <loader id="productManagementsDl">
                <query>
                    <![CDATA[select e from ProductManagement e]]>
                </query>
            </loader>
        </collection>
        <instance id="productManagementDc"
                  class="com.company.management.entity.ProductManagement">
            <fetchPlan extends="_base">
                <property name="product" fetchPlan="_base"/>
                <property name="type" fetchPlan="_base"/>
                <property name="uom" fetchPlan="_base"/>
                <property name="productID" fetchPlan="_base"/>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="save" icon="OK" caption="msg:///actions.Ok" shortcut="CTRL-ENTER"/>
        <action id="cancel" icon="CANCEL" caption="msg:///actions.Cancel" description="Esc"/>
    </actions>
    <dialogMode height="600" width="800"/>
    <layout>
        <split id="split" height="100%" orientation="horizontal" reversePosition="true" width="100%">
            <vbox id="lookupBox" expand="table" height="100%" margin="false,true,false,false" spacing="true">
                <filter id="filter" dataLoader="productManagementsDl">
                    <properties include=".*"/>
                </filter>
                <groupTable id="table"
                            width="100%"
                            dataContainer="productManagementsDc">
                    <actions>
                        <action id="create" type="create"/>
                        <action id="edit" type="edit"/>
                        <action id="remove" type="remove"/>
                    </actions>
                    <columns>
                        <column id="description"/>
                        <column id="value"/>
                    </columns>
                    <simplePagination/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="createBtn" action="table.create"/>
                        <button id="editBtn" action="table.edit"/>
                        <button id="removeBtn" action="table.remove"/>
                    </buttonsPanel>
                </groupTable>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </vbox>
            <vbox id="editBox" height="100%" margin="false,false,false,true" expand="fieldGroupBox" spacing="true">
                <scrollBox id="fieldGroupBox">
                    <form id="form" dataContainer="productManagementDc">
                        <column width="350px">
                            <textField id="descriptionField" property="description"/>
                            <entityPicker id="productField" property="product">
                                <actions>
                                    <action id="entityLookup" type="entity_lookup"/>
                                    <action id="entityClear" type="entity_clear"/>
                                </actions>
                            </entityPicker>
                            <entityPicker id="typeIDField" property="type">
                                <actions>
                                    <action id="entityLookup" type="entity_lookup"/>
                                    <action id="entityClear" type="entity_clear"/>
                                </actions>
                            </entityPicker>
                            <entityPicker id="uomIDField" property="uom">
                                <actions>
                                    <action id="entityLookup" type="entity_lookup"/>
                                    <action id="entityClear" type="entity_clear"/>
                                </actions>
                            </entityPicker>
                            <textField id="valueField" property="value"/>
                            <entityPicker id="productIDField" property="productID">
                                <actions>
                                    <action id="entityLookup" type="entity_lookup"/>
                                    <action id="entityClear" type="entity_clear"/>
                                </actions>
                            </entityPicker>
                        </column>
                    </form>
                </scrollBox>
                <hbox id="actionsPane" spacing="true" visible="false">
                    <button id="saveBtn" action="save"/>
                    <button id="cancelBtn" action="cancel"/>
                </hbox>
            </vbox>
        </split>
    </layout>
</window>
